//LIBRARIES
#include <plib.h>
#include "NU32.h"

//GLOBAL CONSTANTS


//GLOBAL VARIABLES


//FUNCTION PROTOTYPES


//MAIN
int main(void)
{
	char messageArray[32];
	
    NU32_Startup();
    NU32_Initialize();

    int j = 0;

    sprintf(messageArray,"Hello World!\r\n");
    NU32_WriteUART1(MessageArray);

    while(1)
    {
        sprintf(messageArray,"Hello?\n");
        NU32_WriteUART1(MessageArray);
        NU32LED1 = !NU32LED1; // toggle the LEDs
        NU32LED2 = !NU32LED2;
        // wait a little bit
        for (j=0;j<5000000;j++) {
            Nop();
        }
    }
    return 0;
}

//FUNCTIONS


//ISRs
void __ISR(_UART_1_VECTOR, ipl2) IntUart1Handler(void)
{
    // Is this an RX interrupt?
    if(INTGetFlag(INT_SOURCE_UART_RX(UART1)))
    {

        char data = UARTGetDataByte(UART1);
        PutCharacter(UART1,data);
        NU32LED1 = !NU32LED1;
        NU32LED2 = !NU32LED2;

        // Clear the RX interrupt Flag
        INTClearFlag(INT_SOURCE_UART_RX(UART1));
    }

    // We don't care about TX interrupt
    if(INTGetFlag(INT_SOURCE_UART_TX(UART1)))
    {
        INTClearFlag(INT_SOURCE_UART_TX(UART1));
    }
}

